//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.3.2 
// See <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2020.02.07 at 09:07:12 PM CET 
//


package org.tdwg.abcd2;

import java.math.BigInteger;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.NormalizedStringAdapter;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * Elements only used for herbarium units
 * 
 * <p>Java class for HerbariumUnit complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="HerbariumUnit"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Exsiccatum" type="{http://www.tdwg.org/schemas/abcd/3.0}String" minOccurs="0"/&gt;
 *         &lt;element name="LoanID" type="{http://www.tdwg.org/schemas/abcd/3.0}String" minOccurs="0"/&gt;
 *         &lt;element name="LoanSequenceNumber" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/&gt;
 *         &lt;element name="LoanDestination" type="{http://www.tdwg.org/schemas/abcd/3.0}InstitutionCode" minOccurs="0"/&gt;
 *         &lt;element name="LoanForBotanist" type="{http://www.tdwg.org/schemas/abcd/3.0}String" minOccurs="0"/&gt;
 *         &lt;element name="LoanDispatchMethod" type="{http://www.tdwg.org/schemas/abcd/3.0}String" minOccurs="0"/&gt;
 *         &lt;element name="LoanDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/&gt;
 *         &lt;element name="LoanReturnDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/&gt;
 *         &lt;element name="NaturalOccurrence" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL" minOccurs="0"/&gt;
 *         &lt;element name="CultivatedOccurrence" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "HerbariumUnit", propOrder = {
    "exsiccatum",
    "loanID",
    "loanSequenceNumber",
    "loanDestination",
    "loanForBotanist",
    "loanDispatchMethod",
    "loanDate",
    "loanReturnDate",
    "naturalOccurrence",
    "cultivatedOccurrence"
})
public class HerbariumUnit {

    @XmlElement(name = "Exsiccatum")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    @XmlSchemaType(name = "normalizedString")
    protected String exsiccatum;
    @XmlElement(name = "LoanID")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    @XmlSchemaType(name = "normalizedString")
    protected String loanID;
    @XmlElement(name = "LoanSequenceNumber")
    protected BigInteger loanSequenceNumber;
    @XmlElement(name = "LoanDestination")
    protected String loanDestination;
    @XmlElement(name = "LoanForBotanist")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    @XmlSchemaType(name = "normalizedString")
    protected String loanForBotanist;
    @XmlElement(name = "LoanDispatchMethod")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    @XmlSchemaType(name = "normalizedString")
    protected String loanDispatchMethod;
    @XmlElement(name = "LoanDate")
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar loanDate;
    @XmlElement(name = "LoanReturnDate")
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar loanReturnDate;
    @XmlElement(name = "NaturalOccurrence")
    protected StringL naturalOccurrence;
    @XmlElement(name = "CultivatedOccurrence")
    protected StringL cultivatedOccurrence;

    /**
     * Gets the value of the exsiccatum property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getExsiccatum() {
        return exsiccatum;
    }

    /**
     * Sets the value of the exsiccatum property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setExsiccatum(String value) {
        this.exsiccatum = value;
    }

    /**
     * Gets the value of the loanID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLoanID() {
        return loanID;
    }

    /**
     * Sets the value of the loanID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLoanID(String value) {
        this.loanID = value;
    }

    /**
     * Gets the value of the loanSequenceNumber property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getLoanSequenceNumber() {
        return loanSequenceNumber;
    }

    /**
     * Sets the value of the loanSequenceNumber property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setLoanSequenceNumber(BigInteger value) {
        this.loanSequenceNumber = value;
    }

    /**
     * Gets the value of the loanDestination property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLoanDestination() {
        return loanDestination;
    }

    /**
     * Sets the value of the loanDestination property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLoanDestination(String value) {
        this.loanDestination = value;
    }

    /**
     * Gets the value of the loanForBotanist property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLoanForBotanist() {
        return loanForBotanist;
    }

    /**
     * Sets the value of the loanForBotanist property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLoanForBotanist(String value) {
        this.loanForBotanist = value;
    }

    /**
     * Gets the value of the loanDispatchMethod property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLoanDispatchMethod() {
        return loanDispatchMethod;
    }

    /**
     * Sets the value of the loanDispatchMethod property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLoanDispatchMethod(String value) {
        this.loanDispatchMethod = value;
    }

    /**
     * Gets the value of the loanDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getLoanDate() {
        return loanDate;
    }

    /**
     * Sets the value of the loanDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setLoanDate(XMLGregorianCalendar value) {
        this.loanDate = value;
    }

    /**
     * Gets the value of the loanReturnDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getLoanReturnDate() {
        return loanReturnDate;
    }

    /**
     * Sets the value of the loanReturnDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setLoanReturnDate(XMLGregorianCalendar value) {
        this.loanReturnDate = value;
    }

    /**
     * Gets the value of the naturalOccurrence property.
     * 
     * @return
     *     possible object is
     *     {@link StringL }
     *     
     */
    public StringL getNaturalOccurrence() {
        return naturalOccurrence;
    }

    /**
     * Sets the value of the naturalOccurrence property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringL }
     *     
     */
    public void setNaturalOccurrence(StringL value) {
        this.naturalOccurrence = value;
    }

    /**
     * Gets the value of the cultivatedOccurrence property.
     * 
     * @return
     *     possible object is
     *     {@link StringL }
     *     
     */
    public StringL getCultivatedOccurrence() {
        return cultivatedOccurrence;
    }

    /**
     * Sets the value of the cultivatedOccurrence property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringL }
     *     
     */
    public void setCultivatedOccurrence(StringL value) {
        this.cultivatedOccurrence = value;
    }

}
